Bug 1823199 (CVE-2020-2754) - CVE-2020-2754 OpenJDK: Misplaced regular expression syntax error check in RegExpScanner (Scripting, 8223898)
Summary: CVE-2020-2754 OpenJDK: Misplaced regular expression syntax error check in Reg...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-2754
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1810784 1810785 1810786 1810787 1810788 1810789 1810790 1810791 1810792 1810793 1810794 1826103 1826104 1832249 1832250 1832251 1832252 1832253 1832254
Blocks: 1810559
TreeView+ depends on / blocked
 
Reported: 2020-04-12 16:02 UTC by Tomas Hoger
Modified: 2020-07-26 23:01 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-21 16:32:28 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:1534 0 None None None 2020-04-22 01:02:09 UTC
Red Hat Product Errata RHBA-2020:1535 0 None None None 2020-04-22 08:58:13 UTC
Red Hat Product Errata RHBA-2020:1957 0 None None None 2020-04-29 01:12:29 UTC
Red Hat Product Errata RHBA-2020:1958 0 None None None 2020-04-29 01:12:39 UTC
Red Hat Product Errata RHBA-2020:1997 0 None None None 2020-04-30 15:04:34 UTC
Red Hat Product Errata RHBA-2020:1999 0 None None None 2020-04-30 18:18:11 UTC
Red Hat Product Errata RHBA-2020:2034 0 None None None 2020-05-06 08:47:07 UTC
Red Hat Product Errata RHBA-2020:2035 0 None None None 2020-05-06 08:50:47 UTC
Red Hat Product Errata RHBA-2020:2073 0 None None None 2020-05-12 08:36:23 UTC
Red Hat Product Errata RHBA-2020:2177 0 None None None 2020-05-18 09:50:06 UTC
Red Hat Product Errata RHBA-2020:2188 0 None None None 2020-05-18 14:46:50 UTC
Red Hat Product Errata RHBA-2020:2189 0 None None None 2020-05-18 14:45:30 UTC
Red Hat Product Errata RHBA-2020:2191 0 None None None 2020-05-18 14:47:50 UTC
Red Hat Product Errata RHBA-2020:2194 0 None None None 2020-05-18 14:49:51 UTC
Red Hat Product Errata RHBA-2020:2248 0 None None None 2020-05-21 15:21:29 UTC
Red Hat Product Errata RHBA-2020:2254 0 None None None 2020-05-25 16:20:40 UTC
Red Hat Product Errata RHBA-2020:2620 0 None None None 2020-06-19 01:48:12 UTC
Red Hat Product Errata RHSA-2020:1506 0 None None None 2020-04-21 10:21:00 UTC
Red Hat Product Errata RHSA-2020:1509 0 None None None 2020-04-21 11:17:00 UTC
Red Hat Product Errata RHSA-2020:1512 0 None None None 2020-04-21 11:31:07 UTC
Red Hat Product Errata RHSA-2020:1514 0 None None None 2020-04-21 16:31:49 UTC
Red Hat Product Errata RHSA-2020:1515 0 None None None 2020-04-22 09:33:36 UTC
Red Hat Product Errata RHSA-2020:1516 0 None None None 2020-04-22 09:17:13 UTC
Red Hat Product Errata RHSA-2020:1517 0 None None None 2020-04-22 09:14:46 UTC
Red Hat Product Errata RHSA-2020:2237 0 None None None 2020-05-20 14:24:55 UTC
Red Hat Product Errata RHSA-2020:2239 0 None None None 2020-05-20 14:25:27 UTC
Red Hat Product Errata RHSA-2020:2241 0 None None None 2020-05-20 16:03:42 UTC

Description Tomas Hoger 2020-04-12 16:02:05 UTC
A flaw was found in the Nashorn JavaScript engine in the Scripting component of OpenJDK.  Processing of the forward references prior to checking for regular expression syntax errors could cause an unexpected exception to be raised when processing a specially crafted regular expression.

Comment 1 Tomas Hoger 2020-04-14 21:22:00 UTC
Public now via Oracle CPU April 2020:

https://www.oracle.com/security-alerts/cpuapr2020.html#AppendixJAVA

Fixed in Oracle Java SE 14.0.1, 11.0.7, and 8u251.

Comment 2 errata-xmlrpc 2020-04-21 10:20:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:1506 https://access.redhat.com/errata/RHSA-2020:1506

Comment 3 errata-xmlrpc 2020-04-21 11:16:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:1509 https://access.redhat.com/errata/RHSA-2020:1509

Comment 4 errata-xmlrpc 2020-04-21 11:31:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:1512 https://access.redhat.com/errata/RHSA-2020:1512

Comment 5 errata-xmlrpc 2020-04-21 16:31:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:1514 https://access.redhat.com/errata/RHSA-2020:1514

Comment 6 Product Security DevOps Team 2020-04-21 16:32:28 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-2754

Comment 7 errata-xmlrpc 2020-04-22 09:14:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:1517 https://access.redhat.com/errata/RHSA-2020:1517

Comment 8 errata-xmlrpc 2020-04-22 09:17:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:1516 https://access.redhat.com/errata/RHSA-2020:1516

Comment 9 errata-xmlrpc 2020-04-22 09:33:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:1515 https://access.redhat.com/errata/RHSA-2020:1515

Comment 10 Tomas Hoger 2020-05-14 08:23:35 UTC
OpenJDK-11 upstream commit:
http://hg.openjdk.java.net/jdk-updates/jdk11u/rev/5006fd8e5864

OpenJDK-8 upstream commit:
http://hg.openjdk.java.net/jdk8u/jdk8u/nashorn/rev/2e03a91e04b9

Comment 11 errata-xmlrpc 2020-05-20 14:24:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2020:2237 https://access.redhat.com/errata/RHSA-2020:2237

Comment 12 errata-xmlrpc 2020-05-20 14:25:26 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2020:2239 https://access.redhat.com/errata/RHSA-2020:2239

Comment 13 errata-xmlrpc 2020-05-20 16:03:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:2241 https://access.redhat.com/errata/RHSA-2020:2241


Note You need to log in before you can comment on or make changes to this bug.